import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { BooleanInput } from '@angular/cdk/coercion';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbiCheckbox implements ControlValueAccessor, AfterViewInit {
    private _renderer;
    private _changeDetectorRef;
    readonly labelId: string;
    inputElementRef: ElementRef<HTMLInputElement>;
    checkedChange: EventEmitter<boolean>;
    indeterminateChange: EventEmitter<boolean>;
    get checked(): boolean;
    set checked(value: boolean);
    private _checked;
    get disabled(): unknown;
    set disabled(value: unknown);
    private _disabled;
    get grouped(): unknown;
    set grouped(value: unknown);
    private _grouped;
    get indeterminate(): unknown;
    set indeterminate(value: unknown);
    private _indeterminate;
    get required(): unknown;
    set required(value: unknown);
    private _required;
    onChange: (newValue: boolean) => void;
    onTouched: () => void;
    constructor(_renderer: Renderer2, _changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    registerOnChange(fn: (newValue: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(newValue: boolean): void;
    toggle(): void;
    onClickEvent(event: Event): void;
    onChangeEvent(event: Event): void;
    private emitChangeEvent;
    private syncField;
    static ngAcceptInputType_checked: BooleanInput;
    static ngAcceptInputType_disabled: BooleanInput;
    static ngAcceptInputType_required: BooleanInput;
    static ngAcceptInputType_grouped: BooleanInput;
    static ngAcceptInputType_indeterminate: BooleanInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbiCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbiCheckbox, "bbi-checkbox", never, { "checked": "checked"; "disabled": "disabled"; "grouped": "grouped"; "indeterminate": "indeterminate"; "required": "required"; }, { "checkedChange": "checkedChange"; "indeterminateChange": "indeterminateChange"; }, never, ["*"]>;
}
