import { LocalizeDictionary } from '../localize.dictionary';
export declare class LocalizeConfig {
    languages: LocalizeConfigLanguage[];
    automatic?: boolean;
    substitutions?: {
        references?: [leftSubstitution: string, rightSubstitution: string];
        interpolation?: [leftSubstitution: string, rightSubstitution: string];
    };
}
export interface LocalizeConfigLanguage {
    id: string;
    locale: string;
    supported: string[];
    data: () => LocalizeDictionary | Promise<LocalizeDictionary>;
}
export declare type LocalizeDictionaryData = {
    [key: string]: string | LocalizeDictionaryData;
};
