import { LocalizeFunction } from './interfaces/functions.interfaces';
import { LocalizeConfig, LocalizeConfigLanguage } from './interfaces/config.interfaces';
import { LocalizeParams } from './interfaces/options.interfaces';
import { LocalizeMissingHandler } from './handlers/missing.handler';
import { Storage } from '@bravobit/bb-foundation/storage';
import { Languages } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
export declare class Localize {
    private _storage;
    private _languages;
    private _config;
    private _missingHandler;
    private _document?;
    private _functions?;
    private readonly _availableLanguages;
    private readonly _bestMatchingLanguage;
    private readonly _functionMiddleware;
    private readonly _storageToken;
    private _currentLanguage;
    private _currentDictionary;
    constructor(_storage: Storage, _languages: Languages, _config: LocalizeConfig, _missingHandler: LocalizeMissingHandler, _document?: any, _functions?: LocalizeFunction[]);
    get languages(): LocalizeConfigLanguage[];
    get current(): LocalizeConfigLanguage;
    set(language: LocalizeConfigLanguage, cache?: boolean): Promise<void>;
    initialize(): () => Promise<void>;
    clear(): void;
    translate(tokenOrParams: string | LocalizeParams): any;
    private parseInterpolationData;
    private interpolateFunctionData;
    private findReferencesInTranslation;
    private getSubstitutions;
    private retrieveBestMatchingLanguage;
    private getLanguageFromStorage;
    private getBestBrowserMatchLanguage;
    private convertToParams;
    private renderDocumentLanguage;
    private getMatches;
    static ɵfac: i0.ɵɵFactoryDeclaration<Localize, [null, null, { optional: true; }, null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Localize>;
}
